std::chrono::operator<<(std::chrono::year_month_weekday)(3)

NAME
std::chrono::operator<<(std::chrono::year_month_weekday) - std::chrono::operator<<(std::chrono::year_month_weekday)

Synopsis
   Defined in header <chrono>
   template< class CharT, class Traits >
   std::basic_ostream<CharT, Traits>& (since C++20)
   operator<<( std::basic_ostream<CharT, Traits>& os,
   const std::chrono::year_month_weekday& ymwd );
   Outputs a textual representation of ymwd into os, as if by
   os << std::format(os.getloc(), STATICALLY_WIDEN<CharT>("{}/{:L}/{:L}"),
   ymwd.year(), ymwd.month(), ymwd.weekday_indexed());
   where STATICALLY_WIDEN<CharT>("{}/{:L}/{:L}") is "{}/{:L}/{:L}" if CharT is char,
   and L"{}/{:L}/{:L}" if CharT is wchar_t.

Return value
   os.
  Defect reports
   The following behavior-changing defect reports were applied retroactively to
   previously published C++ standards.
     DR Applied to Behavior as published Correct behavior
   P2372R3 C++20 the given locale was used by default L is needed to use the given
                        locale

See also
   format stores formatted representation of the
   (C++20) arguments in a new string
                        (function template)
                        specialization of std::formatter that
   std::formatter<std::chrono::year_month_day> formats a year_month_day according to
   (C++20) the provided format
                        (class template specialization)